Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 240908 - net-libs/libopm fails to build with GCC 4.1+
Summary: net-libs/libopm fails to build with GCC 4.1+
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Packages in net-irc
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.2 gcc-4.3
  Show dependency tree
 
Reported: 2008-10-09 22:54 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-02-21 04:18 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (net-libs:libopm-3.1.2:20081009-215841.log,12.74 KB, text/plain)
2008-10-09 22:55 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-10-09 22:54:57 UTC
Portage 2.2_rc11 (default/linux/x86/2008.0, gcc-4.1.2, glibc-2.8_p20080602-r0,
2.6.26-gentoo-r1 i686)
=================================================================
System uname:
Linux-2.6.26-gentoo-r1-i686-Quad-Core_AMD_Opteron-tm-_Processor_2350-with-glibc2.0
Timestamp of tree: Thu, 09 Oct 2008 18:30:10 +0000
app-shells/bash:     3.2_p39
dev-lang/python:     2.4.4-r6, 2.5.2-r7
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.62-r1
sys-devel/automake:  1.7.9-r1, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.26
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf
/etc/gentoo-release /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-pipe"
DISTDIR="/usr/portage-distfiles"
FEATURES="distlocks parallel-fetch preserve-libs protect-owned sandbox sfperms
strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/
http://ftp.uni-erlangen.de/pub/mirrors/gentoo"
INSTALL_MASK="  /usr/share/doc  /usr/share/man  /usr/share/info"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j8"
PKGDIR="/usr/portage-packages"
PORTAGE_COMPRESS=""
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress
--force --whole-file --delete --stats --timeout=180 --exclude=/distfiles
--exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="acl berkdb bzip2 cli cracklib crypt cups custom-cflags dri fortran gdbm
gpm iconv ipv6 isdnlog midi mudflap ncurses nls nptl nptlonly openmp pam pcre
perl pppd python readline reflection session spl ssl sysfs tcpd unicode x86
xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci
emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0
intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci"
ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file
hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug
rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic
authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm
authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache
dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache
filter headers include info log_config logio mem_cache mime mime_magic
negotiation rewrite setenvif speling status unique_id userdir usertrack
vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux"
LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses
text" USERLAND="GNU" VIDEO_CARDS="fbdev glint i810 mach64 mga neomagic nv r128
radeon savage sis tdfx trident vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, LANG, LC_ALL, LINGUAS,
PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-10-09 22:55:18 UTC
Created attachment 167814 [details]
Build log
Comment 2 Mark Loeser (RETIRED) gentoo-dev 2008-11-16 21:02:53 UTC
@net-irc: 3.1.3 is out and seems to work perfectly fine.  Can we have that version put in the tree?  Thanks
Comment 3 Ryan Hill (RETIRED) gentoo-dev 2008-11-21 23:22:37 UTC
just block 198121 with these plz.
Comment 4 Peter Alfredsen (RETIRED) gentoo-dev 2008-12-17 22:44:10 UTC
@treecleaners: maintainers unresponsive, this is a leaf package, fails with gcc-4.1+. 
Comment 5 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2008-12-20 20:53:48 UTC
# Jeremy Olexa <darkside@gentoo.org> (20 Dec 2008)
# Removed in 60 days. Does not compile with gcc-4.1+, nothing depends on it. 
# bug 240908
net-libs/libopm
Comment 6 Peter Alfredsen (RETIRED) gentoo-dev 2009-01-12 20:29:55 UTC
Removing from gcc-4.3 tracker.
Comment 7 Ryan Hill (RETIRED) gentoo-dev 2009-01-14 20:37:44 UTC
please leave blockers/depends for treecleaner bugs intact and other bugs regarding the package open until the package is actually removed.
Comment 8 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-02-21 04:18:14 UTC
gone, wontfix.